1. Accounts
NotifyMe
  • Introduction
  • Authentication
  • API Reference
    • Accounts
      • List accounts
        GET
      • Add account
        POST
      • Edit account
        PATCH
      • Delete account
        DELETE
      • Test notification
        POST
      • Force notification
        POST
    • Embeds
      • List embeds
      • Create embed
      • Edit embed
      • Delete embed
    • Bot Styles
      • List bot styles
      • Create bot style
      • Edit bot style
      • Delete bot style
Discord BotManagement API
Legal
Discord BotManagement API
Legal
  1. Accounts

List accounts

Developing
GET
https://public-api.notifyme.bot/v1/management/accounts
Rate Limit:5 req/sec

Request

Authorization
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://public-api.notifyme.bot/v1/management/accounts?server_id=1044159651178094592&platform=youtube' \
--header 'X-API-Key: <api-key>'
Response Response Example
{
    "status": true,
    "data": [
        {
            "internal_id": "string",
            "id": "string",
            "url": "string",
            "name": "string",
            "status": true,
            "discord_channel_id": "string",
            "ping_role_id": "string",
            "customization": {
                "embed_internal_id": "string",
                "bot_style_internal_id": "string"
            },
            "content_types": [
                "video"
            ],
            "message": {
                "video": "string",
                "live": "string",
                "tweet": "string"
            },
            "created_at": "2019-08-24",
            "updated_at": "2019-08-24"
        }
    ]
}
Previous
Authentication
Next
Add account
Built with